List project groups
curl --request GET \
--url https://www.ruddr.io/api/workspace/project-groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/project-groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/project-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "5f1d57a3-2214-4034-8002-fbb5f86c6502",
"name": "MOU Group",
"description": "Consulting and managed operations for enterprise clients.",
"isActive": true,
"createdAt": "2025-12-02T20:13:40.427Z",
"client": {
"id": "aa39afdb-e168-4956-b061-41c7c62e8c2e",
"name": "Paul's Boutique"
},
"projects": [
{
"id": "5b6a9e5b-7c86-49aa-a0cf-f577cd50d421",
"name": "AI for DevOps"
},
{
"id": "4bf9f26f-29ff-4d91-821a-7dd07f271388",
"name": "Assessment Services"
}
]
}
],
"hasMore": false
}{
"status": 400,
"message": "Parameter 'startingAfter' is not a valid UUID."
}{
"status": 403,
"message": "Feature 'Project Groups' is not enabled."
}Project Groups
List project groups
GET
/
project-groups
List project groups
A collection of related projects under a client, used for organizing and filtering.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.
A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.
The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.
A client ID (uuid) used to filter project groups for a specific client.